Subject: bug#59665: closed (Re: bug#59665: [PATCH 0/2] gnu: python-sgp4: Update to 2.21.)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 05 Dec 2022 16:43:02 +0000

Your bug report

#59665: [PATCH 0/2] gnu: python-sgp4: Update to 2.21.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
59665: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=59665
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#59665: [PATCH 0/2] gnu: python-sgp4: Update to 2.21.
From: Ludovic Courtès <[email-masked]>
To: Sharlatan Hellseher <[email-masked]>
Cc: [email-masked]
Date: Mon, 05 Dec 2022 17:41:53 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Sharlatan Hellseher <[email-masked]> skribis:

> This patch set includes python-sgp4 of the latest version tag which builds on
> aarch64-linux  (reported as failing build in https://issues.guix.gnu.org/59113).
>
> I see that package was added 2 years ago to python-science.scm but It's more suitable
> for and is only in use within astronomy.scm so I've moved it there.
>
>> ./pre-inst-env guix build --system=aarch64-linux --rounds=2 python-sgp4
>> /gnu/store/qwcv08yygjk1fvpvcyyfdqhyz3dvjp05-python-sgp4-2.21
>> ./pre-inst-env guix build --rounds=2 python-sgp4
>> /gnu/store/i6400brvqr736vils8msq4v82a15qv8g-python-sgp4-2.21
>
> Sharlatan Hellseher (2):
>   gnu: python-sgp4: Update to 2.21.
>   gnu: python-sgp4: Move to astronomy.

Applied, thanks!

Ludo’.

Subject: [PATCH 0/2] gnu: python-sgp4: Update to 2.21.
From: Sharlatan Hellseher <[email-masked]>
To: [email-masked]
Cc: Sharlatan Hellseher <[email-masked]>
Date: Mon, 28 Nov 2022 23:24:19 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Guix team!

This patch set includes python-sgp4 of the latest version tag which builds on
aarch64-linux  (reported as failing build in https://issues.guix.gnu.org/59113).

I see that package was added 2 years ago to python-science.scm but It's more suitable
for and is only in use within astronomy.scm so I've moved it there.

> ./pre-inst-env guix build --system=aarch64-linux --rounds=2 python-sgp4
> /gnu/store/qwcv08yygjk1fvpvcyyfdqhyz3dvjp05-python-sgp4-2.21
> ./pre-inst-env guix build --rounds=2 python-sgp4
> /gnu/store/i6400brvqr736vils8msq4v82a15qv8g-python-sgp4-2.21

Sharlatan Hellseher (2):
  gnu: python-sgp4: Update to 2.21.
  gnu: python-sgp4: Move to astronomy.

 gnu/packages/astronomy.scm      | 29 +++++++++++++++++++++++++++++
 gnu/packages/python-science.scm | 20 --------------------
 2 files changed, 29 insertions(+), 20 deletions(-)

base-commit: fddd62ff532972bd4ca9e1aeb8dd372a914e77a2-- 
2.38.1